SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                                ANAG                                  ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS



SET NAMES UTF8; -- noqa: PRS



CONNECT 'localhost:./firebird_data/anag.fdb' USER 'SYSDBA' PASSWORD 'masterkey';  -- noqa: PRS



SET SQL DIALECT 3; -- noqa: PRS



SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                         DATE/TIME INFO                               ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS



SELECT

    CURRENT_DATE,

    CURRENT_TIME,

    CURRENT_TIMESTAMP

FROM RDB$DATABASE;  -- noqa: LXR, PRS



SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                                PAGHE                                 ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS



SET NAMES UTF8; -- noqa: PRS



CONNECT 'localhost:./firebird_data/paghe.fdb' USER 'SYSDBA' PASSWORD 'masterkey';  -- noqa: PRS



SET SQL DIALECT 3; -- noqa: PRS



-- Aggiornamento richiesto da Cavarra

-- http://192.168.0.106:85/otrs/index.pl?Action=AgentTicketZoom;TicketID=15535;&OTRSAgentInterface=xn8J52fetI8bEtuwD20413nn7QXKjVrR

-- https://www.federturismo.it/it/documenti/documenti/12210-circolare-tabelle-retributive-ccnl-news-16-gennaio-2025/file.html

-- Settore 102 turismo - contratto 334 - Federturismo (Cnel H05B - FEDERTURISMO CONFINDUSTRIA; CONFINDUSTRIA AICA	 FILCAMS CGIL; FISASCAT CISL; UILTUCS UIL)



INSERT INTO CONTRATTODETTAGLIO (IDCONTRATTODETTAGLIO, IDINPSCONTRATTO, IDUNITAMISURA, IDCNELCONTRATTO, DESCRIZIONE, EDR, TREDICESIMAMESE, TREDICESIMAGIORNO, QUATTORDICESIMAMESE, QUATTORDICESIMAGIORNO, ISTITUTOSCATTI, BANCAORE, STRAORDINARILIMITEOREANNO, STRAORDINARILIMITEOREMESE, STRAORDINARILIMITEORESETTIMANA, STRAORDINARILIMITEOREGIORNO, SCATTIMESE, SCATTINUMERO, CONTINGENZA, INTEGRAZCONGEDOMATR, ULTIMAMODIFICA, ULTIMAMODIFICAUSER, CUSTOM, NASCOSTO) VALUES ('1051', '334', '4', 'H05B', 'Turismo - imprese di viaggio e congressi', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL);

COMMIT WORK; -- skip error



-- Livelli

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('1051', 'A1', NULL, '334', NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('1051', 'A2', NULL, '334', NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('1051', 'B1', NULL, '334', NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('1051', 'B2', NULL, '334', NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('1051', 'C1', NULL, '334', NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('1051', 'C2', NULL, '334', NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('1051', 'C3', NULL, '334', NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('1051', 'D1', NULL, '334', NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('1051', 'D2', NULL, '334', NULL, NULL, NULL, NULL);

COMMIT WORK;



-- Divisori

INSERT INTO CONTRATTOCOEFFICIENTE (IDCONTRATTODETTAGLIO, IDCOEFFICIENTE, DESCRIZIONE, GIORNALIERO, ORARIO, GIORNISETTIMANA, ORESETTIMANA, SOLODONNAEMINORE, SOLOUOMO, IDTIPOLAVORATORE2, MENSILITA, MENSILITAAGGIUNTIVA, MENSILITAAGGIDUM, MENSILITA1000, NOTE, ULTIMAMODIFICA, ULTIMAMODIFICAUSER) VALUES ('1051', '1', NULL, '26.00', '192.00', '6.00', '45.00', NULL, NULL, '0', '14', NULL, NULL, '14000', 'per la generalità dei lavoratori', '05.08.2008', NULL);

INSERT INTO CONTRATTOCOEFFICIENTE (IDCONTRATTODETTAGLIO, IDCOEFFICIENTE, DESCRIZIONE, GIORNALIERO, ORARIO, GIORNISETTIMANA, ORESETTIMANA, SOLODONNAEMINORE, SOLOUOMO, IDTIPOLAVORATORE2, MENSILITA, MENSILITAAGGIUNTIVA, MENSILITAAGGIDUM, MENSILITA1000, NOTE, ULTIMAMODIFICA, ULTIMAMODIFICAUSER) VALUES ('1051', '2', NULL, '26.00', '190.00', '6.00', '44.00', NULL, NULL, '0', '14', NULL, NULL, '14000', '', '17.06.2009', NULL);

INSERT INTO CONTRATTOCOEFFICIENTE (IDCONTRATTODETTAGLIO, IDCOEFFICIENTE, DESCRIZIONE, GIORNALIERO, ORARIO, GIORNISETTIMANA, ORESETTIMANA, SOLODONNAEMINORE, SOLOUOMO, IDTIPOLAVORATORE2, MENSILITA, MENSILITAAGGIUNTIVA, MENSILITAAGGIDUM, MENSILITA1000, NOTE, ULTIMAMODIFICA, ULTIMAMODIFICAUSER) VALUES ('1051', '3', NULL, '26.00', '172.00', '5.00', '40.00', NULL, NULL, '0', '14', NULL, NULL, '14000', '', '17.06.2009', NULL);

COMMIT WORK;

--Ratei

INSERT INTO CONTRATTORATEO (IDCONTRATTODETTAGLIO, IDRATEO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, NOTA) VALUES ('1051', '1', '1', '0', NULL);

INSERT INTO CONTRATTORATEO (IDCONTRATTODETTAGLIO, IDRATEO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, NOTA) VALUES ('1051', '2', '1', '0', NULL);

INSERT INTO CONTRATTORATEO (IDCONTRATTODETTAGLIO, IDRATEO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, NOTA) VALUES ('1051', '3', '1', '0', NULL);

COMMIT WORK;

-- Rateo valore

INSERT INTO CONTRATTORATEOVALORE (IDCONTRATTODETTAGLIO, IDRATEO, IDTIPORATEO, IDANZIANITA, IDUNITAMISURA, IDUNITAMISURA2, VALORE) VALUES ('1051', '1', '1', NULL, '2', '4', '2.166670');

INSERT INTO CONTRATTORATEOVALORE (IDCONTRATTODETTAGLIO, IDRATEO, IDTIPORATEO, IDANZIANITA, IDUNITAMISURA, IDUNITAMISURA2, VALORE) VALUES ('1051', '1', '3', NULL, '1', '4', '8.666670');

INSERT INTO CONTRATTORATEOVALORE (IDCONTRATTODETTAGLIO, IDRATEO, IDTIPORATEO, IDANZIANITA, IDUNITAMISURA, IDUNITAMISURA2, VALORE) VALUES ('1051', '2', '1', NULL, '2', '4', '2.166670');

INSERT INTO CONTRATTORATEOVALORE (IDCONTRATTODETTAGLIO, IDRATEO, IDTIPORATEO, IDANZIANITA, IDUNITAMISURA, IDUNITAMISURA2, VALORE) VALUES ('1051', '2', '3', NULL, '1', '4', '8.666670');

COMMIT WORK;

-- Scatto

INSERT INTO CONTRATTOSCATTO (IDCONTRATTODETTAGLIO, IDSCATTO, IDLIVELLO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, IDANZIANITA, SCATTINUMERO, SCATTIMESI, IMPORTO, IDBASEIMPONIBILE, PERCENTUALE, VALIDODAL, NOTE) VALUES ('1051', '1', 'A1', NULL, NULL, NULL, NULL, '36', '40.800000', NULL, NULL, NULL, '');

INSERT INTO CONTRATTOSCATTO (IDCONTRATTODETTAGLIO, IDSCATTO, IDLIVELLO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, IDANZIANITA, SCATTINUMERO, SCATTIMESI, IMPORTO, IDBASEIMPONIBILE, PERCENTUALE, VALIDODAL, NOTE) VALUES ('1051', '2', 'A2', NULL, NULL, NULL, NULL, '36', '39.250000', NULL, NULL, NULL, '');

INSERT INTO CONTRATTOSCATTO (IDCONTRATTODETTAGLIO, IDSCATTO, IDLIVELLO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, IDANZIANITA, SCATTINUMERO, SCATTIMESI, IMPORTO, IDBASEIMPONIBILE, PERCENTUALE, VALIDODAL, NOTE) VALUES ('1051', '3', 'B1', NULL, NULL, NULL, NULL, '36', '37.710000', NULL, NULL, NULL, '');

INSERT INTO CONTRATTOSCATTO (IDCONTRATTODETTAGLIO, IDSCATTO, IDLIVELLO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, IDANZIANITA, SCATTINUMERO, SCATTIMESI, IMPORTO, IDBASEIMPONIBILE, PERCENTUALE, VALIDODAL, NOTE) VALUES ('1051', '4', 'B2', NULL, NULL, NULL, NULL, '36', '36.160000', NULL, NULL, NULL, '');

INSERT INTO CONTRATTOSCATTO (IDCONTRATTODETTAGLIO, IDSCATTO, IDLIVELLO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, IDANZIANITA, SCATTINUMERO, SCATTIMESI, IMPORTO, IDBASEIMPONIBILE, PERCENTUALE, VALIDODAL, NOTE) VALUES ('1051', '5', 'C1', NULL, NULL, NULL, NULL, '36', '34.860000', NULL, NULL, NULL, '');

INSERT INTO CONTRATTOSCATTO (IDCONTRATTODETTAGLIO, IDSCATTO, IDLIVELLO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, IDANZIANITA, SCATTINUMERO, SCATTIMESI, IMPORTO, IDBASEIMPONIBILE, PERCENTUALE, VALIDODAL, NOTE) VALUES ('1051', '6', 'C2', NULL, NULL, NULL, NULL, '36', '33.060000', NULL, NULL, NULL, '');

INSERT INTO CONTRATTOSCATTO (IDCONTRATTODETTAGLIO, IDSCATTO, IDLIVELLO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, IDANZIANITA, SCATTINUMERO, SCATTIMESI, IMPORTO, IDBASEIMPONIBILE, PERCENTUALE, VALIDODAL, NOTE) VALUES ('1051', '7', 'C3', NULL, NULL, NULL, NULL, '36', '32.540000', NULL, NULL, NULL, '');

INSERT INTO CONTRATTOSCATTO (IDCONTRATTODETTAGLIO, IDSCATTO, IDLIVELLO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, IDANZIANITA, SCATTINUMERO, SCATTIMESI, IMPORTO, IDBASEIMPONIBILE, PERCENTUALE, VALIDODAL, NOTE) VALUES ('1051', '8', 'D1', NULL, NULL, NULL, NULL, '36', '31.250000', NULL, NULL, NULL, '');

INSERT INTO CONTRATTOSCATTO (IDCONTRATTODETTAGLIO, IDSCATTO, IDLIVELLO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, IDANZIANITA, SCATTINUMERO, SCATTIMESI, IMPORTO, IDBASEIMPONIBILE, PERCENTUALE, VALIDODAL, NOTE) VALUES ('1051', '9', 'D2', NULL, NULL, NULL, NULL, '36', '30.470000', NULL, NULL, NULL, '');

COMMIT WORK;



-- Paga base nazionale conglobata

INSERT INTO CONTRATTODETTAGLIOVOCE (IDCONTRATTODETTAGLIO, IDVOCE, IDBASEIMPONIBILE, IDINPSCONTRATTO, INPS, IRPEF, TFR, INDIRETTO, MAGGIORAZIONE, MESE, MESI) VALUES ('322', '8', NULL, '334', '1', '1', '1', NULL, '1', NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOVOCE (IDCONTRATTODETTAGLIO, IDVOCE, IDBASEIMPONIBILE, IDINPSCONTRATTO, INPS, IRPEF, TFR, INDIRETTO, MAGGIORAZIONE, MESE, MESI) VALUES ('323', '8', NULL, '334', '1', '1', '1', NULL, '1', NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOVOCE (IDCONTRATTODETTAGLIO, IDVOCE, IDBASEIMPONIBILE, IDINPSCONTRATTO, INPS, IRPEF, TFR, INDIRETTO, MAGGIORAZIONE, MESE, MESI) VALUES ('1051', '8', NULL, '334', '1', '1', '1', NULL, '1', NULL, NULL);

COMMIT WORK; -- skip error



-- Aggiorno descrizioni

UPDATE CONTRATTODETTAGLIO SET DESCRIZIONE = 'Turismo - Industria turistica' WHERE IDCONTRATTODETTAGLIO = '322';

UPDATE CONTRATTODETTAGLIO SET DESCRIZIONE = 'Turismo - Aziende alberghiere minori' WHERE IDCONTRATTODETTAGLIO = '323';

COMMIT WORK;



/*

Turismo  (dettaglio 322)



       | Al 31/12/2024 | Dal 01/01/2025 | Dal 01/06/2025 | Dal 01/05/2026 | Dal 01/04/2027

-------------------------------------------------------------------------------------------

A1     | 2.216,16     | 2.337,18       | 2.379,89       | 2.429,72       | 2.500,91

A2     | 2.052,20     | 2.164,26       | 2.203,82       | 2.249,96       | 2.315,88

B1     | 1.912,45     | 2.016,88       | 2.053,74       | 2.096,74       | 2.158,17

B2     | 1.748,47     | 1.843,95       | 1.877,65       | 1.916,96       | 1.973,12

C1     | 1.649,36     | 1.739,43       | 1.771,21       | 1.808,30       | 1.861,28

C2     | 1.556,59     | 1.641,59       | 1.671,59       | 1.706,59       | 1.756,59

C3     | 1.460,28     | 1.540,02       | 1.568,16       | 1.601,00       | 1.647,91

D1     | 1.404,36     | 1.481,05       | 1.508,11       | 1.539,69       | 1.584,80

D2     | 1.297,82     | 1.368,69       | 1.393,70       | 1.422,88       | 1.464,57



*/



INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('322', 'A1', '8', '01.01.2025', '2337.18', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('322', 'A2', '8', '01.01.2025', '2164.26', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('322', 'B1', '8', '01.01.2025', '2016.88', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('322', 'B2', '8', '01.01.2025', '1843.95', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('322', 'C1', '8', '01.01.2025', '1739.43', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('322', 'C2', '8', '01.01.2025', '1641.59', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('322', 'C3', '8', '01.01.2025', '1540.02', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('322', 'D1', '8', '01.01.2025', '1481.05', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('322', 'D2', '8', '01.01.2025', '1368.69', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

COMMIT WORK; -- skip error



INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('322', 'A1', '8', '01.06.2025', '2379.89', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('322', 'A2', '8', '01.06.2025', '2203.82', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('322', 'B1', '8', '01.06.2025', '2053.74', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('322', 'B2', '8', '01.06.2025', '1877.65', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('322', 'C1', '8', '01.06.2025', '1771.21', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('322', 'C2', '8', '01.06.2025', '1671.59', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('322', 'C3', '8', '01.06.2025', '1568.16', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('322', 'D1', '8', '01.06.2025', '1508.11', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('322', 'D2', '8', '01.06.2025', '1393.70', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');



INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('322', 'A1', '8', '01.05.2026', '2429.72', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('322', 'A2', '8', '01.05.2026', '2249.96', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('322', 'B1', '8', '01.05.2026', '2096.74', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('322', 'B2', '8', '01.05.2026', '1916.96', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('322', 'C1', '8', '01.05.2026', '1808.30', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('322', 'C2', '8', '01.05.2026', '1706.59', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('322', 'C3', '8', '01.05.2026', '1601.00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('322', 'D1', '8', '01.05.2026', '1539.69', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('322', 'D2', '8', '01.05.2026', '1422.88', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');



INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('322', 'A1', '8', '01.04.2027', '2500.91', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('322', 'A2', '8', '01.04.2027', '2315.88', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('322', 'B1', '8', '01.04.2027', '2158.17', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('322', 'B2', '8', '01.04.2027', '1973.12', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('322', 'C1', '8', '01.04.2027', '1861.28', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('322', 'C2', '8', '01.04.2027', '1756.59', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('322', 'C3', '8', '01.04.2027', '1647.91', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('322', 'D1', '8', '01.04.2027', '1584.80', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('322', 'D2', '8', '01.04.2027', '1464.57', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');



COMMIT WORK;



/*



Comparto: Imprese di viaggio, turismo e congressi (dettaglio 1051)



       | Al 31/12/2024 | Dal 01/01/2025 | Dal 01/09/2025 | Dal 01/09/2026 | Dal 01/06/2027 | Dal 01/12/2027

---------------------------------------------------------------------------------------------------------

A1     | 2.216,16     | 2.315,82       | 2.358,53       | 2.401,24       | 2.458,19       | 2.500,91

A2     | 2.052,20     | 2.144,49       | 2.184,04       | 2.223,59       | 2.276,33       | 2.315,88

B1     | 1.912,45     | 1.998,45       | 2.035,31       | 2.072,17       | 2.121,31       | 2.158,17

B2     | 1.748,47     | 1.827,10       | 1.860,80       | 1.894,50       | 1.939,43       | 1.973,12

C1     | 1.649,36     | 1.723,53       | 1.755,32       | 1.787,11       | 1.829,49       | 1.861,28

C2     | 1.556,59     | 1.626,59       | 1.656,59       | 1.686,59       | 1.726,59       | 1.756,59

C3     | 1.460,28     | 1.525,95       | 1.554,09       | 1.582,24       | 1.619,76       | 1.647,91

D1     | 1.404,36     | 1.467,51       | 1.494,58       | 1.521,65       | 1.557,73       | 1.584,80

D2     | 1.297,82     | 1.356,18       | 1.381,20       | 1.406,21       | 1.439,56       | 1.464,57



*/



INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'A1', '8', '01.01.2025', '2315.82', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'A2', '8', '01.01.2025', '2144.49', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'B1', '8', '01.01.2025', '1998.45', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'B2', '8', '01.01.2025', '1827.10', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'C1', '8', '01.01.2025', '1723.53', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'C2', '8', '01.01.2025', '1626.59', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'C3', '8', '01.01.2025', '1525.95', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'D1', '8', '01.01.2025', '1467.51', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'D2', '8', '01.01.2025', '1356.18', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');



COMMIT WORK; -- skip error



INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'A1', '8', '01.09.2025', '2358.53', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'A2', '8', '01.09.2025', '2184.04', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'B1', '8', '01.09.2025', '2035.31', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'B2', '8', '01.09.2025', '1860.80', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'C1', '8', '01.09.2025', '1755.32', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'C2', '8', '01.09.2025', '1656.59', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'C3', '8', '01.09.2025', '1554.09', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'D1', '8', '01.09.2025', '1494.58', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'D2', '8', '01.09.2025', '1381.20', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');



INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'A1', '8', '01.09.2026', '2401.24', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'A2', '8', '01.09.2026', '2223.59', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'B1', '8', '01.09.2026', '2072.17', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'B2', '8', '01.09.2026', '1894.50', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'C1', '8', '01.09.2026', '1787.11', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'C2', '8', '01.09.2026', '1686.59', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'C3', '8', '01.09.2026', '1582.24', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'D1', '8', '01.09.2026', '1521.65', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'D2', '8', '01.09.2026', '1406.21', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');



INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'A1', '8', '01.06.2027', '2458.19', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'A2', '8', '01.06.2027', '2276.33', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'B1', '8', '01.06.2027', '2121.31', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'B2', '8', '01.06.2027', '1939.43', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'C1', '8', '01.06.2027', '1829.49', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'C2', '8', '01.06.2027', '1726.59', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'C3', '8', '01.06.2027', '1619.76', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'D1', '8', '01.06.2027', '1557.73', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'D2', '8', '01.06.2027', '1439.56', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');



INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'A1', '8', '01.12.2027', '2500.91', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'A2', '8', '01.12.2027', '2315.88', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'B1', '8', '01.12.2027', '2158.17', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'B2', '8', '01.12.2027', '1973.12', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'C1', '8', '01.12.2027', '1861.28', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'C2', '8', '01.12.2027', '1756.59', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'C3', '8', '01.12.2027', '1647.91', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'D1', '8', '01.12.2027', '1584.80', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1051', 'D2', '8', '01.12.2027', '1464.57', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');



COMMIT WORK;



/*



Comparto: Aziende alberghiere minori (dettaglio 323)



       | Al 31/12/2024 | Dal 01/01/2025 | Dal 01/06/2025 | Dal 01/05/2026 | Dal 01/04/2027

---------------------------------------------------------------------------------------------------

A1     | 2.202,97     | 2.323,27       | 2.365,72       | 2.415,26       | 2.486,02

A2     | 2.040,21     | 2.151,62       | 2.190,94       | 2.236,81       | 2.302,35

B1     | 1.900,46     | 2.004,24       | 2.040,86       | 2.083,60       | 2.144,64

B2     | 1.738,29     | 1.833,21       | 1.866,71       | 1.905,80       | 1.961,64

C1     | 1.640,36     | 1.729,93       | 1.761,55       | 1.798,43       | 1.851,12

C2     | 1.548,79     | 1.633,36       | 1.663,21       | 1.698,04       | 1.747,79

C3     | 1.453,07     | 1.532,42       | 1.560,42       | 1.593,09       | 1.639,77

D1     | 1.397,75     | 1.474,08       | 1.501,01       | 1.532,44       | 1.577,34

D2     | 1.291,82     | 1.362,36       | 1.387,26       | 1.416,31       | 1.457,80



*/





INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('323', 'A1', '8', '01.01.2025', '2323.27', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('323', 'A2', '8', '01.01.2025', '2151.62', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('323', 'B1', '8', '01.01.2025', '2004.24', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('323', 'B2', '8', '01.01.2025', '1833.21', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('323', 'C1', '8', '01.01.2025', '1729.93', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('323', 'C2', '8', '01.01.2025', '1633.36', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('323', 'C3', '8', '01.01.2025', '1532.42', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('323', 'D1', '8', '01.01.2025', '1474.08', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('323', 'D2', '8', '01.01.2025', '1362.36', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');



COMMIT WORK; -- skip error



INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('323', 'A1', '8', '01.06.2025', '2365.72', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('323', 'A2', '8', '01.06.2025', '2190.94', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('323', 'B1', '8', '01.06.2025', '2040.86', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('323', 'B2', '8', '01.06.2025', '1866.71', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('323', 'C1', '8', '01.06.2025', '1761.55', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('323', 'C2', '8', '01.06.2025', '1663.21', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('323', 'C3', '8', '01.06.2025', '1560.42', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('323', 'D1', '8', '01.06.2025', '1501.01', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('323', 'D2', '8', '01.06.2025', '1387.26', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');



INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('323', 'A1', '8', '01.05.2026', '2415.26', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('323', 'A2', '8', '01.05.2026', '2236.81', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('323', 'B1', '8', '01.05.2026', '2083.60', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('323', 'B2', '8', '01.05.2026', '1905.80', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('323', 'C1', '8', '01.05.2026', '1798.43', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('323', 'C2', '8', '01.05.2026', '1698.04', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('323', 'C3', '8', '01.05.2026', '1593.09', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('323', 'D1', '8', '01.05.2026', '1532.44', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('323', 'D2', '8', '01.05.2026', '1416.31', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');



INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('323', 'A1', '8', '01.04.2027', '2486.02', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('323', 'A2', '8', '01.04.2027', '2302.35', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('323', 'B1', '8', '01.04.2027', '2144.64', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('323', 'B2', '8', '01.04.2027', '1961.64', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('323', 'C1', '8', '01.04.2027', '1851.12', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('323', 'C2', '8', '01.04.2027', '1747.79', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('323', 'C3', '8', '01.04.2027', '1639.77', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('323', 'D1', '8', '01.04.2027', '1577.34', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('323', 'D2', '8', '01.04.2027', '1457.80', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '29.03.2025');



COMMIT WORK;



-- fine aggiornamento CCNL Turismo



-- Fix missing data



UPDATE CONTRATTODETTAGLIO SET IDCNELCONTRATTO = 'H05Y' WHERE IDCONTRATTODETTAGLIO = '1050'; -- Inps cod 483

UPDATE CONTRATTODETTAGLIO SET IDCNELCONTRATTO = 'F011' WHERE IDCONTRATTODETTAGLIO = '1022'; -- Inps cod 068

UPDATE CONTRATTODETTAGLIO SET IDCNELCONTRATTO = 'F011' WHERE IDCONTRATTODETTAGLIO = '1023'; -- Inps cod 068

UPDATE CONTRATTODETTAGLIO SET IDCNELCONTRATTO = 'HV46' WHERE IDCONTRATTODETTAGLIO = '1036'; -- Inps cod 456

COMMIT WORK;



INSERT INTO ISTAT_FOI (ANNO, MESE, INDICE, BASE) VALUES ('2025', '02', '121.100000', '2015');

COMMIT WORK; -- skip error



-- Fix descrizione CU 2025

DELETE FROM CURECORD WHERE ANNO = '2025' AND IDCUSEZIONE = '8' AND IDCURECORD = '363';

DELETE FROM CURECORD WHERE ANNO = '2025' AND IDCUSEZIONE = '16' AND IDCURECORD = '658';

DELETE FROM CURECORD WHERE ANNO = '2025' AND IDCUSEZIONE = '11' AND IDCURECORD = '476';

COMMIT WORK;





-- CCNL COMMERCIO





INSERT INTO CONTRATTODETTAGLIOVOCE (IDCONTRATTODETTAGLIO, IDVOCE, IDBASEIMPONIBILE, IDINPSCONTRATTO, INPS, IRPEF, TFR, INDIRETTO, MAGGIORAZIONE, MESE, MESI) VALUES ('117', '74', NULL, '042', '1', '1', '1', NULL, '1', NULL, NULL);

COMMIT WORK; -- skip error



DELETE FROM CONTRATTODETTAGLIOLIVELLOVOCE WHERE IDCONTRATTODETTAGLIO = '117' AND VALIDODAL >= '01.03.2025';

COMMIT WORK; -- skip error



-- Minimo contrattuale



INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', 'Q', '5', '01.03.2025', '2122.33', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1', '5', '01.03.2025', '1911.80', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2', '5', '01.03.2025', '1653.69', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '3', '5', '01.03.2025', '1413.47', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '4', '5', '01.03.2025', '1222.46', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '5', '5', '01.03.2025', '1104.45', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '6', '5', '01.03.2025', '991.55', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '7', '5', '01.03.2025', '848.91', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1cat', '5', '01.03.2025', '1153.96', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2cat', '5', '01.03.2025', '967.22', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');



----- Indennità di funzione (o altre indennità)

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', 'Q', '14', '01.03.2025', '260.77', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '7', '14', '01.03.2025', '5.16', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');



-- Contingenza + EDR

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', 'Q', '74', '01.03.2025', '540.37', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1', '74', '01.03.2025', '537.52', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2', '74', '01.03.2025', '532.54', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '3', '74', '01.03.2025', '527.90', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '4', '74', '01.03.2025', '524.22', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '5', '74', '01.03.2025', '521.94', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '6', '74', '01.03.2025', '519.76', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '7', '74', '01.03.2025', '517.51', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1cat', '74', '01.03.2025', '530.04', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2cat', '74', '01.03.2025', '526.11', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');



-- Terzo elemento

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', 'Q', '29', '01.03.2025', '2.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1', '29', '01.03.2025', '2.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2', '29', '01.03.2025', '2.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '3', '29', '01.03.2025', '2.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '4', '29', '01.03.2025', '2.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '5', '29', '01.03.2025', '2.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '6', '29', '01.03.2025', '2.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '7', '29', '01.03.2025', '2.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1cat', '29', '01.03.2025', '2.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2cat', '29', '01.03.2025', '2.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');



-- Minimo contrattuale

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', 'Q', '5', '01.11.2025', '2183.09', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1', '5', '01.11.2025', '1966.54', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2', '5', '01.11.2025', '1701.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '3', '5', '01.11.2025', '1453.94', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '4', '5', '01.11.2025', '1257.46', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '5', '5', '01.11.2025', '1136.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '6', '5', '01.11.2025', '1019.94', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '7', '5', '01.11.2025', '873.22', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1cat', '5', '01.11.2025', '1187.00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2cat', '5', '01.11.2025', '994.96', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2025');



----- Indennità di funzione (o altre indennità)

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', 'Q', '14', '01.11.2025', '260.77', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '7', '14', '01.11.2025', '5.16', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');



-- Contingenza + EDR

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', 'Q', '74', '01.11.2025', '540.37', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1', '74', '01.11.2025', '537.52', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2', '74', '01.11.2025', '532.54', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '3', '74', '01.11.2025', '527.90', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '4', '74', '01.11.2025', '524.22', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '5', '74', '01.11.2025', '521.94', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '6', '74', '01.11.2025', '519.76', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '7', '74', '01.11.2025', '517.51', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1cat', '74', '01.11.2025', '530.04', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2cat', '74', '01.11.2025', '526.11', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');



-- Terzo elemento

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', 'Q', '29', '01.11.2025', '2.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1', '29', '01.11.2025', '2.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2', '29', '01.11.2025', '2.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '3', '29', '01.11.2025', '2.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '4', '29', '01.11.2025', '2.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '5', '29', '01.11.2025', '2.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '6', '29', '01.11.2025', '2.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '7', '29', '01.11.2025', '2.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1cat', '29', '01.11.2025', '2.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2cat', '29', '01.11.2025', '2.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');





-- Minimo contrattuale

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', 'Q', '5', '01.11.2026', '2243.85', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2026');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1', '5', '01.11.2026', '2021.28', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2026');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2', '5', '01.11.2026', '1748.39', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2026');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '3', '5', '01.11.2026', '1494.41', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2026');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '4', '5', '01.11.2026', '1292.46', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2026');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '5', '5', '01.11.2026', '1167.69', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2026');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '6', '5', '01.11.2026', '1048.33', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2026');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '7', '5', '01.11.2026', '897.53', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2026');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1cat', '5', '01.11.2026', '1220.04', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2026');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2cat', '5', '01.11.2026', '1022.70', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.11.2026');



----- Indennità di funzione (o altre indennità)

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', 'Q', '14', '01.11.2026', '260.77', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '7', '14', '01.11.2026', '5.16', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');



-- Contingenza + EDR

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', 'Q', '74', '01.11.2026', '540.37', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1', '74', '01.11.2026', '537.52', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2', '74', '01.11.2026', '532.54', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '3', '74', '01.11.2026', '527.90', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '4', '74', '01.11.2026', '524.22', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '5', '74', '01.11.2026', '521.94', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '6', '74', '01.11.2026', '519.76', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '7', '74', '01.11.2026', '517.51', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1cat', '74', '01.11.2026', '530.04', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2cat', '74', '01.11.2026', '526.11', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');



-- Terzo elemento

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', 'Q', '29', '01.11.2026', '2.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1', '29', '01.11.2026', '2.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2', '29', '01.11.2026', '2.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '3', '29', '01.11.2026', '2.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '4', '29', '01.11.2026', '2.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '5', '29', '01.11.2026', '2.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '6', '29', '01.11.2026', '2.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '7', '29', '01.11.2026', '2.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1cat', '29', '01.11.2026', '2.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2cat', '29', '01.11.2026', '2.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');





-- Minimo contrattuale

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', 'Q', '5', '01.02.2027', '2313.29', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1', '5', '01.02.2027', '2083.84', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2', '5', '01.02.2027', '1802.52', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '3', '5', '01.02.2027', '1540.66', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '4', '5', '01.02.2027', '1332.46', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '5', '5', '01.02.2027', '1203.83', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '6', '5', '01.02.2027', '1080.78', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '7', '5', '01.02.2027', '925.31', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1cat', '5', '01.02.2027', '1257.80', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2cat', '5', '01.02.2027', '1054.40', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');



----- Indennità di funzione (o altre indennità)

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', 'Q', '14', '01.02.2027', '260.77', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '7', '14', '01.02.2027', '5.16', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');



-- Contingenza + EDR

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', 'Q', '74', '01.02.2027', '540.37', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1', '74', '01.02.2027', '537.52', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2', '74', '01.02.2027', '532.54', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '3', '74', '01.02.2027', '527.90', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '4', '74', '01.02.2027', '524.22', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '5', '74', '01.02.2027', '521.94', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '6', '74', '01.02.2027', '519.76', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '7', '74', '01.02.2027', '517.51', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1cat', '74', '01.02.2027', '530.04', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2cat', '74', '01.02.2027', '526.11', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');



-- Terzo elemento

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', 'Q', '29', '01.02.2027', '2.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1', '29', '01.02.2027', '2.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2', '29', '01.02.2027', '2.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '3', '29', '01.02.2027', '2.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '4', '29', '01.02.2027', '2.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '5', '29', '01.02.2027', '2.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '6', '29', '01.02.2027', '2.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '7', '29', '01.02.2027', '2.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '1cat', '29', '01.02.2027', '2.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('117', '2cat', '29', '01.02.2027', '2.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');



COMMIT WORK;



-- FINE COMMERCIO







-- Aggiornamento contratto "Commercio e servizi"

-- Richiesta Studio Astori http://192.168.0.106:85/otrs/index.pl?Action=AgentTicketZoom;TicketID=15507;OTRSAgentInterface=zkCo4NaPuQBBaUqFqVjaePz1DxeQHNsU#72224



INSERT INTO CONTRATTODETTAGLIO (IDCONTRATTODETTAGLIO, IDINPSCONTRATTO, IDUNITAMISURA, IDCNELCONTRATTO, DESCRIZIONE, EDR, TREDICESIMAMESE, TREDICESIMAGIORNO, QUATTORDICESIMAMESE, QUATTORDICESIMAGIORNO, ISTITUTOSCATTI, BANCAORE, STRAORDINARILIMITEOREANNO, STRAORDINARILIMITEOREMESE, STRAORDINARILIMITEORESETTIMANA, STRAORDINARILIMITEOREGIORNO, SCATTIMESE, SCATTINUMERO, CONTINGENZA, INTEGRAZCONGEDOMATR, ULTIMAMODIFICA, ULTIMAMODIFICAUSER, CUSTOM, NASCOSTO) VALUES ('1057', '318', '4', 'H02H', 'Commercio Terziario Distribuzione e Servizi - Conflavoro Pmi - Fesica Confsal', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL);

COMMIT WORK;



-- Livelli

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('1057', '7', 'Addetti pulizia', '318', NULL, NULL, NULL, '05.08.2008');

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('1057', '1', 'Impiegati', '318', NULL, NULL, NULL, '05.08.2008');

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('1057', '2', 'Impiegati di concetto', '318', NULL, NULL, NULL, '05.08.2008');

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('1057', '5', 'Impiegati d''ordine - operai qualificati', '318', NULL, NULL, NULL, '05.08.2008');

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('1057', '4', 'Impiegati d''ordine - operai specializzati', '318', NULL, NULL, NULL, '05.08.2008');

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('1057', '3', 'Impiegati di concetto - operai specialiazzati provetti', '318', NULL, NULL, NULL, '05.08.2008');

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('1057', '6', 'Operai comuni', '318', NULL, NULL, NULL, '05.08.2008');

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('1057', 'Q', 'Quadri', '318', NULL, NULL, NULL, '05.08.2008');

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('1057', '1cat', 'Operatori vendita - imp.concetto', '318', NULL, NULL, NULL, '08.06.2009');

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('1057', '2cat', 'Operatori vendita - imp.concetto', '318', NULL, NULL, NULL, '08.06.2009');



-- Divisori

INSERT INTO CONTRATTOCOEFFICIENTE (IDCONTRATTODETTAGLIO, IDCOEFFICIENTE, DESCRIZIONE, GIORNALIERO, ORARIO, GIORNISETTIMANA, ORESETTIMANA, SOLODONNAEMINORE, SOLOUOMO, IDTIPOLAVORATORE2, MENSILITA, MENSILITAAGGIUNTIVA, MENSILITAAGGIDUM, MENSILITA1000, NOTE, ULTIMAMODIFICA, ULTIMAMODIFICAUSER) VALUES ('1057', '1', 'Per la generalità dei lavoratori', '26.00', '168.00', '5.00', '40.00', NULL, NULL, '0', '14', NULL, NULL, '14000', 'per la generalità dei lavoratori', '05.08.2008', NULL);

INSERT INTO CONTRATTOCOEFFICIENTE (IDCONTRATTODETTAGLIO, IDCOEFFICIENTE, DESCRIZIONE, GIORNALIERO, ORARIO, GIORNISETTIMANA, ORESETTIMANA, SOLODONNAEMINORE, SOLOUOMO, IDTIPOLAVORATORE2, MENSILITA, MENSILITAAGGIUNTIVA, MENSILITAAGGIDUM, MENSILITA1000, NOTE, ULTIMAMODIFICA, ULTIMAMODIFICAUSER) VALUES ('1057', '2', '2', '26.00', '195.00', '5.00', '45.00', NULL, NULL, '0', '14', NULL, NULL, '14000', 'Dipendenti da impianti di gestione carburanti', '17.06.2009', NULL);

COMMIT WORK;

--Ratei

INSERT INTO CONTRATTORATEO (IDCONTRATTODETTAGLIO, IDRATEO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, NOTA) VALUES ('1057', '1', '1', '0', NULL);

INSERT INTO CONTRATTORATEO (IDCONTRATTODETTAGLIO, IDRATEO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, NOTA) VALUES ('1057', '2', '2', '0', NULL);

INSERT INTO CONTRATTORATEO (IDCONTRATTODETTAGLIO, IDRATEO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, NOTA) VALUES ('1057', '3', '1', '0', 'Aziende sopra i 15 dipendenti');

COMMIT WORK;

-- Rateo valore

INSERT INTO CONTRATTORATEOVALORE (IDCONTRATTODETTAGLIO, IDRATEO, IDTIPORATEO, IDANZIANITA, IDUNITAMISURA, IDUNITAMISURA2, VALORE) VALUES ('1057', '1', '1', NULL, '2', '4', '2.166670');

INSERT INTO CONTRATTORATEOVALORE (IDCONTRATTODETTAGLIO, IDRATEO, IDTIPORATEO, IDANZIANITA, IDUNITAMISURA, IDUNITAMISURA2, VALORE) VALUES ('1057', '1', '3', NULL, '1', '4', '4.666670');

INSERT INTO CONTRATTORATEOVALORE (IDCONTRATTODETTAGLIO, IDRATEO, IDTIPORATEO, IDANZIANITA, IDUNITAMISURA, IDUNITAMISURA2, VALORE) VALUES ('1057', '1', '4', NULL, '1', '4', '2.666670');

INSERT INTO CONTRATTORATEOVALORE (IDCONTRATTODETTAGLIO, IDRATEO, IDTIPORATEO, IDANZIANITA, IDUNITAMISURA, IDUNITAMISURA2, VALORE) VALUES ('1057', '1', '7', NULL, '4', '4', '0.083333');

INSERT INTO CONTRATTORATEOVALORE (IDCONTRATTODETTAGLIO, IDRATEO, IDTIPORATEO, IDANZIANITA, IDUNITAMISURA, IDUNITAMISURA2, VALORE) VALUES ('1057', '2', '1', NULL, '2', '4', '2.166670');

INSERT INTO CONTRATTORATEOVALORE (IDCONTRATTODETTAGLIO, IDRATEO, IDTIPORATEO, IDANZIANITA, IDUNITAMISURA, IDUNITAMISURA2, VALORE) VALUES ('1057', '2', '3', NULL, '1', '4', '4.666670');

INSERT INTO CONTRATTORATEOVALORE (IDCONTRATTODETTAGLIO, IDRATEO, IDTIPORATEO, IDANZIANITA, IDUNITAMISURA, IDUNITAMISURA2, VALORE) VALUES ('1057', '2', '4', NULL, '1', '4', '2.666670');

INSERT INTO CONTRATTORATEOVALORE (IDCONTRATTODETTAGLIO, IDRATEO, IDTIPORATEO, IDANZIANITA, IDUNITAMISURA, IDUNITAMISURA2, VALORE) VALUES ('1057', '2', '7', NULL, '4', '4', '0.083333');

INSERT INTO CONTRATTORATEOVALORE (IDCONTRATTODETTAGLIO, IDRATEO, IDTIPORATEO, IDANZIANITA, IDUNITAMISURA, IDUNITAMISURA2, VALORE) VALUES ('1057', '3', '1', NULL, '2', '4', '2.166670');

INSERT INTO CONTRATTORATEOVALORE (IDCONTRATTODETTAGLIO, IDRATEO, IDTIPORATEO, IDANZIANITA, IDUNITAMISURA, IDUNITAMISURA2, VALORE) VALUES ('1057', '3', '3', NULL, '1', '4', '6.000000');

INSERT INTO CONTRATTORATEOVALORE (IDCONTRATTODETTAGLIO, IDRATEO, IDTIPORATEO, IDANZIANITA, IDUNITAMISURA, IDUNITAMISURA2, VALORE) VALUES ('1057', '3', '4', NULL, '1', '4', '2.666670');

COMMIT WORK;

-- Scatto

INSERT INTO CONTRATTOSCATTO (IDCONTRATTODETTAGLIO, IDSCATTO, IDLIVELLO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, IDANZIANITA, SCATTINUMERO, SCATTIMESI, IMPORTO, IDBASEIMPONIBILE, PERCENTUALE, VALIDODAL, NOTE) VALUES ('1057', '1', 'Q', NULL, NULL, NULL, NULL, '36', '25.460000', NULL, NULL, NULL, '');

INSERT INTO CONTRATTOSCATTO (IDCONTRATTODETTAGLIO, IDSCATTO, IDLIVELLO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, IDANZIANITA, SCATTINUMERO, SCATTIMESI, IMPORTO, IDBASEIMPONIBILE, PERCENTUALE, VALIDODAL, NOTE) VALUES ('1057', '2', '1', NULL, NULL, NULL, NULL, '36', '24.840000', NULL, NULL, NULL, '');

INSERT INTO CONTRATTOSCATTO (IDCONTRATTODETTAGLIO, IDSCATTO, IDLIVELLO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, IDANZIANITA, SCATTINUMERO, SCATTIMESI, IMPORTO, IDBASEIMPONIBILE, PERCENTUALE, VALIDODAL, NOTE) VALUES ('1057', '3', '2', NULL, NULL, NULL, NULL, '36', '22.830000', NULL, NULL, NULL, '');

INSERT INTO CONTRATTOSCATTO (IDCONTRATTODETTAGLIO, IDSCATTO, IDLIVELLO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, IDANZIANITA, SCATTINUMERO, SCATTIMESI, IMPORTO, IDBASEIMPONIBILE, PERCENTUALE, VALIDODAL, NOTE) VALUES ('1057', '4', '3', NULL, NULL, NULL, NULL, '36', '21.950000', NULL, NULL, NULL, '');

INSERT INTO CONTRATTOSCATTO (IDCONTRATTODETTAGLIO, IDSCATTO, IDLIVELLO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, IDANZIANITA, SCATTINUMERO, SCATTIMESI, IMPORTO, IDBASEIMPONIBILE, PERCENTUALE, VALIDODAL, NOTE) VALUES ('1057', '5', '4', NULL, NULL, NULL, NULL, '36', '20.660000', NULL, NULL, NULL, '');

INSERT INTO CONTRATTOSCATTO (IDCONTRATTODETTAGLIO, IDSCATTO, IDLIVELLO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, IDANZIANITA, SCATTINUMERO, SCATTIMESI, IMPORTO, IDBASEIMPONIBILE, PERCENTUALE, VALIDODAL, NOTE) VALUES ('1057', '6', '5', NULL, NULL, NULL, NULL, '36', '20.300000', NULL, NULL, NULL, '');

INSERT INTO CONTRATTOSCATTO (IDCONTRATTODETTAGLIO, IDSCATTO, IDLIVELLO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, IDANZIANITA, SCATTINUMERO, SCATTIMESI, IMPORTO, IDBASEIMPONIBILE, PERCENTUALE, VALIDODAL, NOTE) VALUES ('1057', '7', '6', NULL, NULL, NULL, NULL, '36', '19.730000', NULL, NULL, NULL, '');

INSERT INTO CONTRATTOSCATTO (IDCONTRATTODETTAGLIO, IDSCATTO, IDLIVELLO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, IDANZIANITA, SCATTINUMERO, SCATTIMESI, IMPORTO, IDBASEIMPONIBILE, PERCENTUALE, VALIDODAL, NOTE) VALUES ('1057', '8', '7', NULL, NULL, NULL, NULL, '36', '19.470000', NULL, NULL, NULL, '');

INSERT INTO CONTRATTOSCATTO (IDCONTRATTODETTAGLIO, IDSCATTO, IDLIVELLO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, IDANZIANITA, SCATTINUMERO, SCATTIMESI, IMPORTO, IDBASEIMPONIBILE, PERCENTUALE, VALIDODAL, NOTE) VALUES ('1057', '9', '1cat', NULL, NULL, NULL, NULL, '36', '15.500000', NULL, NULL, NULL, '');

INSERT INTO CONTRATTOSCATTO (IDCONTRATTODETTAGLIO, IDSCATTO, IDLIVELLO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, IDANZIANITA, SCATTINUMERO, SCATTIMESI, IMPORTO, IDBASEIMPONIBILE, PERCENTUALE, VALIDODAL, NOTE) VALUES ('1057', '10', '2cat', NULL, NULL, NULL, NULL, '36', '14.460000', NULL, NULL, NULL, '');

COMMIT WORK;





-- Paga base nazionale conglobata

INSERT INTO CONTRATTODETTAGLIOVOCE (IDCONTRATTODETTAGLIO, IDVOCE, IDBASEIMPONIBILE, IDINPSCONTRATTO, INPS, IRPEF, TFR, INDIRETTO, MAGGIORAZIONE, MESE, MESI) VALUES ('1057', '8', NULL, '318', '1', '1', '1', NULL, '1', NULL, NULL);



/*



Inquadramento	01/03/2025	01/11/2025

Quadri			€ 2.665,38*	€ 2.726,18* 				€ 2.926,15*	€ 2.986,95* (+260,77)

Primo Livello	€ 2.452,45	€ 2.507,20

Secondo Livello	€ 2.189,30	€ 2.236,65

Terzo Livello	€ 1.944,65	€ 1.985,15

Quarto Livello	€ 1.750,00	€ 1.785,00

Quinto Livello	€ 1.630,35	€ 1.662,00

Sesto Livello	€ 1.514,65	€ 1.543,05

Settimo Livello	€ 1.375,00	€ 1.399,35

Op. vendita A	€ 1.687,45	€ 1.720,50

Op. vendita B	€ 1.496,80	€ 1.524,55



*/



INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1057', 'Q', '8', '01.03.2025', '2665.38', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1057', '1', '8', '01.03.2025', '2452.45', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1057', '2', '8', '01.03.2025', '2189.30', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1057', '3', '8', '01.03.2025', '1944.65', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1057', '4', '8', '01.03.2025', '1750.00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1057', '5', '8', '01.03.2025', '1630.35', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1057', '6', '8', '01.03.2025', '1514.65', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1057', '7', '8', '01.03.2025', '1375.00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1057', '1cat', '8', '01.03.2025', '1687.45', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1057', '2cat', '8', '01.03.2025', '1496.80', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');



----- Indennità di funzione (o altre indennità)

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1057', 'Q', '14', '01.03.2025', '260.77', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');



INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1057', 'Q', '8', '01.11.2025', '2726.18', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1057', '1', '8', '01.11.2025', '2507.20', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1057', '2', '8', '01.11.2025', '2236.65', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1057', '3', '8', '01.11.2025', '1985.15', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1057', '4', '8', '01.11.2025', '1785.00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1057', '5', '8', '01.11.2025', '1662.00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1057', '6', '8', '01.11.2025', '1543.05', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1057', '7', '8', '01.11.2025', '1399.35', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1057', '1cat', '8', '01.11.2025', '1720.50', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1057', '2cat', '8', '01.11.2025', '1524.55', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');



----- Indennità di funzione (o altre indennità)

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1057', 'Q', '14', '01.11.2025', '260.77', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '27.03.2025');



COMMIT WORK;



-- fine Ccnl Commercio e servizi



COMMIT WORK;



ALTER TABLE PROFILOFISCALE ADD OpzioneUlterioreDetraz Smallint;

COMMIT WORK; -- skip error

INSERT INTO ELEMENTORETRIBUTIVO (IDELEMENTO, IDTIPOELEMENTO, IDTIPOELEMENTO2, IDFREQUENZA, IDBASEIMPONIBILE, IMPORTO, PERCENTUALE, DESCRIZIONE, DESCRIZIONE2, IDENTEPREVIDENZIALE, ALIQUOTAPREVIDENZ, IRPEF, IRPEFALIQUOTA, IRPEFALIQUOTASOST, INAIL, INAILALIQUOTA, TFR, TFRALIQUOTA, INDIRETTO, NETTO, RIFIMPRESA, RIFTIPOLAVORATORE, RIFCONTRATTO, DATAEROGAZIONE, LIMITEQUANTITAANNUA, ORDINAMENTO, RICORRENTE, CONTRATTUALIZZATO, RIFASSENZA, FIGURATIVO, RECALC, GRUPPO, NASCOSTO, NOTE, CUSTOM) VALUES ('1178', '11', '1', '0', NULL, NULL, NULL, 'Arretrato anno precedente (no inps) (su lordo) (tassaz. separata)', 'Arretrato anno preced. (su lordo)', NULL, NULL, '0', NULL, NULL, '1', NULL, '1', NULL, '0', NULL, NULL, '2', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, '0', NULL, '0');

COMMIT WORK; -- skip error



COMMIT WORK;



SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                                END                                   ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS




